@import "../../global/var";

.styled-modal {
    max-width: 696px;
    width: 100%;
    max-height: 85%;
    background-color: #F7F7F7;

    &-fullscreen {
        height: 100%;
        width: 100%;
        max-height: none;
        max-width: none;
    }

    & .modal-default__inner {
        overflow: auto;
    }

    &__form {
        background-color: #F7F7F7;
    }

    & .modal-header {
        color: $gray57c;
        background-color: #F7F7F7;
        min-height: 80px;
        border-bottom: 0;
        padding: 0;

        &__title {
            font-weight: bold;
            font-size: 24px;

            & .icon {
                margin-right: 16px;
                fill: $brand-danger-new;
                color: $brand-danger-new;
            }
            &._warning {
                color: $brand-danger-new;
            }
        }

        & .modal-header__wrapper {
            height: 48px;
            max-height: 48px;
            padding: 40px 40px 25px;
        }

        & .md-icon-button {
            & .material-icons {
                color: $gray57c;
            }
        }
    }

    & .modal-content {
        background-color: #f7f7f7;
        box-shadow: none;
        border: 0;
        padding-left: 0;
        padding-right: 0;

        &__message {
            &:first-child {
                margin-bottom: 24px;
            }

            &._warning {
                color: $brand-danger-new;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }
        }

        &__text {
            overflow-wrap: break-word;
        }

        & md-date-range-picker {
            margin: 0 auto;
        }

        & .modal-content__wrapper {
            padding: 0 40px;

            &.top-margin {
                margin: 10px 0 0;
            }

            & .profile-container {
                padding: 0;
            }

            & .input-wrapper {
                display: flex;
            }

            & .input-size-s {
                width: 50%;
                max-width: 136px;
            }

            & .input-size-m {
                width: 100%;
                max-width: 296px;
                min-width: 248px;
                position: relative;
                display: flex;

                & .radio {
                    &-label {
                        position: absolute;
                        display: block;
                        width: 150px;
                        height: 20px;
                        left: -12px;
                        bottom: 56px;
                        font-size: 11px;
                        color: rgba(1, 22, 39, 0.8);
                        letter-spacing: 0.1px;
                    }

                    &-group {
                        display: flex;
                        height: 22px;
                    }

                    &-button {
                        margin-bottom: 0;
                        font-size: 14px;
                        display: inline-block;
                        margin-right: 20px;

                        & .md-label {
                            line-height: 22px;
                        }
                    }
                }

                &._margin-bottom {
                    margin-bottom: 20px;
                }

                & .md-select-value {
                    min-width: 100%;
                    max-width: 100%;
                }

                &._disable-grow {
                    max-width: 248px;
                }
            }

            & .input-size-l {
                width: 200%;
            }

            & .inputs-group {
                display: flex;
                justify-content: space-between;
                align-items: center;

                &.w-divider {
                    padding-bottom: 20px;
                    margin-bottom: 20px;
                    border-bottom: 1px solid $gray8be;
                }

                &._no-wrap {
                    flex-wrap: nowrap;
                }

                &._wrap-items {
                    flex-wrap: wrap;
                }

                &._margin-top {
                    margin-top: 50px;
                }

                & .filter-chip {
                    &.custom-filter {
                        height: auto;
                    }
                }

                & .md-icon-button {
                    & ._colored {
                        color: $brand-primary;
                    }
                }

                & .md-chips{
                    md-chip {
                        border-radius: 16px;
                    }
                }

                & .search-input {
                    max-width: 252px;
                    flex-shrink: 1;

                    &__icon {
                        line-height: 20px;
                    }
                }

                & .buttons-wrapper {
                    flex: 0 0 auto;
                    margin-left: 20px;

                    & .button-rounded {
                        display: inline-block;
                        border-radius: 26px;
                        text-transform: none;
                        padding: 6px 16px;
                        border: 1px solid $gray8be;

                        &:last-child {
                            margin-right: 8px;
                        }

                        &._selected {
                            background-color: #011627;
                            color: $white;

                            & .material-icons {
                                color: $white;

                                & svg {
                                    & path {
                                        fill: $white;
                                    }
                                }
                            }
                        }
                    }
                }

                & .refresh-wrapper {
                    position: absolute;
                    top: 0;
                    right: 0;

                    & .refresh-button {
                        display: flex;
                        align-items: center;

                        &__icon {
                            margin-right: 8px;
                            color: $brand-primary;
                        }

                        &__text {
                            text-transform: none;
                            opacity: 0.7;
                        }
                    }
                }
            }

            & .visibility-toggle {
                margin-left: 10px;
                display: flex;
                justify-content: center;
                align-items: center;
                max-width: 100%;
                width: 100%;

                &__icon {
                    font-size: 24px;
                    height: 24px;
                    min-height: 24px;
                    width: 24px;
                    min-width: 24px;
                    max-width: 24px;

                    svg {
                        fill: $brand-primary;
                    }
                }
                &__text {
                    color: $black;
                    font-size: 14px;
                    line-height: 24px;
                    text-transform: none;
                    font-weight: 400;
                    flex: 0 0 58px; // button-text width
                }
            }

            & .toggle {
                display: flex;
                flex-wrap: nowrap;
                align-items: center;
                flex: 0 0 18%;

                &__label {
                    padding: 0 10px;
                }
            }

            .selection-blocks_container_elements {
                margin-top: 20px;

                & .card-wrapper {
                    display: flex;
                    flex-wrap: wrap;
                    justify-content: space-between;
                }

                &_item {
                    width: 48%;
                    height: 132px;
                    margin: 0 0 40px 0;
                }

                & .card-settings {
                    & .widget-wizard_container-helper_picture {
                        height: 148px;
                        background-color: $white;
                        position: relative;
                        margin-bottom: 20px;

                        &_caption {
                            position: absolute;
                            bottom: 8px;
                            left: 16px;
                            font-size: 11px;
                            color: $black;
                        }

                        &_description {
                            position: absolute;
                            top: 8px;
                            left: 16px;
                            font-size: 12px;
                            color: $gray8be;
                        }
                    }

                    & .warning-block__body {
                        font-size: 12px;
                    }

                    & .warning-block__listitem {
                        color: $black;
                        font-size: 12px;
                        font-weight: 500;

                        &:not(:first-child) {
                            &:before {
                                content: ', ';
                            }
                        }
                    }
                }
            }
            &._loading {
                margin: 0 auto;
            }
        }
    }

    .milestone-modal {
        &__list {
            width: 100%;
            height: 200px;
        }
        &__content {
            overflow: hidden;
        }
    }

    &__controls-wrapper {
        padding: 40px 40px;
        background-color: #f7f7f7;
    }
}

@media screen and (max-width: 959px) and (min-width: 0) and (orientation: landscape) {
    .styled-modal {
        & .modal-header {
            min-height: 80px;
        }
    }
}

@media screen and (max-width: 959px) and (min-width: 0) and (orientation: portrait) {
    .styled-modal {
        & .modal-header {
            min-height: 80px;
        }
    }
}

@media screen and (max-width: 959px) {
    .styled-modal {
        &.date-picker-modal {
            width: auto;
        }
    }
}

@media screen and (max-width: 700px) {
    .styled-modal {
        position: initial;
        width: 100%;
        height: calc(100% - 52px);
        margin: 0 26px;
        max-height: none;
        max-width: none;

        & .modal-header {
            min-height: 80px;

            & .modal-header__wrapper {
                padding: 40px 20px 25px;
            }
        }

        & .modal-content {
            & .modal-content__wrapper {
                padding: 0 20px;

                & .test-details__status-filter {
                    & .status-button {
                        margin-bottom: 10px;
                    }
                }

                & .input-wrapper {
                    width: 100%;
                }

                & .input-size-l {
                    width: 100%;
                }

                & .input-size-m {
                    width: 100%;
                    max-width: 100%;
                    min-width: auto;

                    & .text-input {
                        min-width: auto;
                        max-width: auto;
                    }
                }

                & .inputs-group {
                    display: flex;
                    flex-wrap: wrap;

                    &.w-divider {
                        border-bottom: 1px solid $gray8be;
                    }

                    &._mobile-wrap {
                        display: flex;
                        flex-wrap: wrap;
                    }

                    & .search-input {
                        width: 100%;
                        max-width: none;
                    }

                    & .buttons-wrapper {
                        display: flex;
                        justify-content: flex-end;
                        width: 100%;
                        margin-left: 0;

                        & .button-rounded {
                            &:last-child {
                                margin-left: 10px;
                            }
                        }
                    }
                }
            }
        }

        &__controls-wrapper {
            padding: 40px 20px;
        }
    }
}

@media screen and (max-width: $md-screen-xs) {
    .styled-modal {
        & .modal-content {
            & .modal-content__wrapper {
                .selection-blocks_container_elements {
                    & .card-wrapper {
                        flex-wrap: wrap;
                        justify-content: center;
                    }

                    &_item {
                        width: 100%;
                        max-width: 350px;
                        height: 150px;
                    }
                }
            }
        }
    }
}
